diff -Naur Doomsday Data Files.old/ai/ger_1938.ai Doomsday Data Files/ai/ger_1938.ai
--- Doomsday Data Files.old/ai/ger_1938.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/ger_1938.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,583 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no # [yes/no]
+max_front_ratio = 1.5
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+neutrality = 50.000 
+war = 0
+reinforcement = 0.1
+upgrading = 0.25
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.1
+no_exp_forces_to = { JAP SIA MAN VIC }
+use_offensive_supply = yes
+max_fuel_offensive = 1
+
+###################################
+# Diplomacy
+###################################
+claim_acceptance = -49
+
+combat = { }
+
+liberate = { HUN BUL ROM FIN SPA }
+
+demand_claims = { }
+
+befriend = {
+	SLO = 50
+	SPA = 20
+	ITA = 60 
+	SWE = 10
+	FIN = 20
+	JAP = 30
+	POR = 10
+	TUR = 30
+	DEN = 40
+}
+
+protect = {
+	ROM = 80
+	BUL = 80 
+	SWE = 80
+	SCH = 80
+	AUS = 300
+	POL = 80
+	SLO = 80
+	NOR = 80
+	ITA = 80
+	TUR = 80
+}
+
+target = { 
+	#Austria
+	373 = 80 # Lech
+	377 = 80 # Innsbruck
+	462 = 80 # Salzburg
+	461 = 80 # Klagenfurt
+	465 = 80 # Linz
+	464 = 80 # Hollabrunn
+	463 = 80 # Vienna
+	460 = 80 # Graz
+
+	#Czech
+	472 = 60 # Liberec
+	471 = 60 # Usti
+	466 = 60 # Strakonice
+	467 = 60 # Tabor
+
+	#Poland
+	303 = 50 # Danzig
+
+	#Baltic States
+	206 = 50 # Memel
+}
+
+trade = {
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = {
+		SWE = 150
+		FIN = 100
+		ROM = 150
+		ITA = 100
+		HUN = 100
+		YUG = 100
+		SPA = 80
+		BUL = 100
+		JAP = 50
+		CHI = 50
+	}
+	embargo = {
+		ENG FRA AST CAN NZL
+	}
+}
+
+tech_sharing = {
+	favored = {
+		ROM = 200
+		SLO = 200
+		BUL = 200
+		HUN = 200
+		SPA = 200
+		ITA = 200
+		FIN = 200
+		JAP = 200
+		CRO = 200
+	}
+	embargo = { }
+	not = { }
+	prioritized = {
+		1010 = 100 # Infs
+		1020 = 100
+		1030 = 100
+		1040 = 100
+		1050 = 100
+		1060 = 100
+		1110 = 100 # Mtns
+		1120 = 100
+		1130 = 100
+		1140 = 100
+		1190 = 100 # Cavs
+		1200 = 100
+		1210 = 100
+		1220 = 100
+		2010 = 100 # Tanks
+		2020 = 100
+		2030 = 100
+		2040 = 100
+		2050 = 100
+		2060 = 100
+		2070 = 100
+		2080 = 100
+		2090 = 100
+		2290 = 100 # Arts
+		2300 = 100
+		2310 = 100
+		2320 = 100
+		2330 = 100
+		2340 = 100
+		2350 = 100
+		2360 = 100
+		2370 = 100
+		2380 = 100
+		2390 = 100
+		4010 = 100 # IntFs
+		4020 = 100
+		4030 = 100
+		4060 = 100
+		4090 = 100
+		4120 = 100 # Tacs
+		4130 = 100
+		4140 = 100
+		4150 = 100
+		4160 = 100
+		5050 = 100 # Machine Tools
+		5060 = 100
+		5070 = 100
+		5310 = 100 # Computers
+		5320 = 100
+		5330 = 100
+		5340 = 100
+	}
+}
+
+###################################
+# Construction and Tech Research
+###################################
+construction = { 
+	max_factor = 0.150 
+
+	AA_batteries = yes
+	max_AA_level = 5 
+	AA_provs = { 67 74 75 76 80 81 87 90 300 311 314 315 }
+
+	coastal_fort = no
+	max_coastal_level = 0
+	coastal_fort_provs = { } 
+
+	radar_station = yes
+	max_radar = 2
+	radar_provs = { 67 80 90 300 314 }
+
+	air_base = no
+	max_air_base = 0
+	air_base_provs = { } 
+
+	naval_base = no 
+	max_naval_base = 0 
+	naval_base_provs = { } 
+
+	land_fort = yes
+	max_land_level = 2
+	fort_borders = { FRA } 
+
+	ic_at_war = no
+	force_ic_until = 1935
+	ic_end_year = 1935
+	IC_provs = { } 
+}
+
+military = { 
+	relative_build_scheme 	= no 
+	max_batch_peace 	= 360 
+	max_batch_war 		= 360 
+	max_batch_home_front 	= 360
+
+	#### Divisions etc...
+	infantry 	= 51
+	cavalry 	= 0
+	motorized 	= 0
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 9
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 6
+	garrison	= 0
+      	hq 		= 4
+	militia 	= 0
+#				70 %
+	interceptor 	= 6
+	multi_role 	= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 5
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				11 %
+	battleship 	= 3
+	carrier 	= 0
+	escort_carrier	= 0
+	destroyer 	= 0
+	light_cruiser 	= 4
+	heavy_cruiser 	= 3
+	battlecruiser 	= 4
+	submarine 	= 0
+	transports 	= 5
+#				19 %
+
+	#### Brigades
+	artillery 		= 20
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 10
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 20
+
+	cag = 100.000
+}
+
+technology = { 
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3400 3410 3420 3430 3440 3450 # Submarines
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5150 5160 5180 # Assembly Lines
+		6210 6220 6230 6240 6250 6260 6270 6280 6290 14100 # Land Doctrines (GER path)
+		14000 14010 14020 14030 14040 # Hospitals
+	} 
+	preference 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3400 3410 3420 3430 3440 3450 # Submarines
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5150 5160 5180 # Assembly Lines
+		6210 6220 6230 6240 6250 6260 6270 6280 6290 14100 # Land Doctrines (GER path)
+		14000 14010 14020 14030 14040 # Hospitals
+	} 
+	ignore 		= {
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1150 1160 1170 1180 10060 10070 # Marines
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		3310 12050 # Super-Heavy Battleships
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4250 4260 4270 15180 15190 # Air Transports
+		5170 # Rocket Assembly Line
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14090 # Volkssturm
+	}
+
+	armor 		= 5 
+	infantry 	= 6
+	industry 	= 6
+	aircraft 	= 5
+	naval 		= 2
+	land_doctrines 	= 3
+	secret_weapons 	= 2
+	air_doctrines 	= 2
+	naval_doctrines = 1
+}  
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+leader_ratio = {
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
+}
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 1.0
+	overseas_multiplier 	= 1.0
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0.5
+	revolt_risk_mult	= 0.2
+
+	# PRIORITIES:
+	beach			= 50	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		VIC = -1
+		FIN = -1
+		ITA = -1
+		SCH = -1
+		AUS = -1
+		CZE = 75
+		POL = 100
+		YUG = 25
+		HOL = 5
+		BEL = 25
+		DEN = 25
+		SOV = 25
+	}
+	ignore = { }
+	province_priorities = { }
+	area_multiplier = {
+		304 = 3.5 # Elbing
+		510 = 3.5 # Königsberg in order to get a decent build-up before Fall Weiss.
+	}
+}
+
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+	enemy_reinf_days	= 6
+	reserve_prop		= 0.1
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.333
+	min_attack_odds		= 1.1
+	max_attack_odds		= 3.0
+	reinforce_odds		= 1.2
+	withdraw_odds		= 0.75
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = {
+	} 
+      	passivity = {
+	}
+} 
+
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+	ignore		= no
+	invasion	= no
+	help_allies 	= no
+
+	target = { }
+}
+
+admiral = { 
+	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
+	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
+	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
+	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
+
+	ignore = {
+		# South Atlantic
+		"Coast of Brazil"
+		"Cap Verde"
+		"Gulf of Guinea"
+		"Coast of Africa"
+		"Coast of Bissao"
+		"Guiana Basin"
+		"South-Central Mid-Atlantic Ridge"
+		"Atlantic-Indian Ridge"
+		"Coast of South Africa"
+		"Coast of Angola-Namibia"
+		"Angola Plain"
+		"Argentine Plain"
+		"Coast of Argentina"
+		"Coast of Uruguay"
+		"Coast of Guyana"
+		"Coast of Recife"
+		"Pernambuco Plain"
+		"Ascension Fracture Zone"
+
+		# Caribbean
+		"Yucatan Strait"
+		"Central Carribean"
+		"Windward Islands"
+		"West Gulf of Mexico"
+		"East Gulf of Mexico"
+		"Florida Strait"
+
+		# Pacific
+		"Luzon Strait"
+		"Philipine Trench"
+		"Coast of Brunei"
+		"Flores Sea"
+		"Molucca Sea"
+		"Banda Sea"
+		"West Coral Sea"
+		"Sulu Sea"
+		"Celebes Sea"
+		"Arafura Sea"
+		"Java Ridge"
+		"Malacca Strait"
+		"Gulf of Siam"
+		"Spratly Sea"
+		"Coast of Indochina"
+		"Taiwan Strait"
+		"Sea of Japan"
+		"North Bismarck Sea"
+		"South Bismarck Sea"
+		"Marianas"
+		"Marshalls Sea"
+		"Western Solomons"
+		"Eastern Solomons"
+		"East Coral Sea"
+		"Coast of Japan"
+		"Solomon Sea"
+		"North Tasman Sea"
+		"South Tasman Sea"
+		"East Great Australian Bight"
+		"West Great Australian Bight"
+		"Aleutians"
+		"Carolines"
+		"Central Philippine Sea"
+		"Coast of Kamchatka"
+		"East Bering Sea"
+		"East Mariana Basin"
+		"East Sea of Okhotsk"
+		"Gulf of Alaska"
+		"Hawaiian Rise"
+		"Mariana Trench"
+		"Mid-Pacific Mountains"
+		"North Northeast Pacific Basin"
+		"Northwest Pacific Basin"
+		"Ryukyus"
+		"South Sea of Okhotsk"
+		"Timor Sea"
+		"West Bering Sea"
+		"West Coast of Australia"
+		"West Coast of Mexico"
+		"West Coast of the United States"
+		"West Sea of Okhotsk"
+		"Yellow Sea"
+		"Fiji Basin"
+		"Gilberts"
+		"Line Islands"
+		"North East Pacific Ocean"
+		"South East Pacific Ocean"
+		"East Cost of New Zealand"
+		"North Southeast Pacific Ocean"
+		"South Southeast Pacific Ocean"
+		"Southeast Pacific Basin"
+		"Southwest Pacific Basin"
+		"West Coast of Central America"
+		"West Coast of Chile"
+		"West Coast of Peru"
+		"Coast of New Guinea"
+
+		# Indian Ocean
+		"Red Sea"
+		"Persian Gulf"
+		"Coast of Ceylon"
+		"East Bay of Bengal"
+		"Ninetyeast Ridge"
+		"Java Trench"
+		"West Bay of Bengal"
+		"Mascarene Plateau"
+		"Mid-Indian Ridge"
+		"North Arabian Sea"
+		"North Mozambique Channel"
+		"Northeast Coast of Madagascar"
+		"South Arabian Sea"
+		"South Mozambique Channel"
+		"Southeast Coast of Madagascar"
+		"Southeast Indian Ocean"
+		"Southwest Indian Ocean"
+		"Horn of Africa"
+
+		"West Northsea"
+		"English Channel"
+		"The Hebreides"
+		"Irish Sea"
+	}
+	target = { } 
+	core = { 
+		2473
+		2474
+		2475
+	} 
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = GER
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
